%define name xmms-more-vis-plugins
%define version 1.3.0
%define prefix %{_prefix}
%define release 2mdk

%define morepluga jakdaw-0.0.4
%define moreplugb synaesthesia-xmms-0.0.2beta
%define moreplugc xmms_speakers-2.01
%define moreplugd infinity-0.2
%define morepluge bump_scope-0.0.3pre5
%define moreplugf jess-2.0.0
%define moreplugg gforce-1.1.6xp3
%define moreplugnoautoconfa wmdiscotux-1.3

Name: %{name}
Summary: XMMS - More visualization plugins.
Version: %{version}
Release: %{release}
Source0: http://www.jakdaw.ucam.org/xmms/%{morepluga}.tar.bz2
Source1: http://staff.xmms.org/zinx/xmms/%{moreplugb}.tar.bz2
Source2: http://home.swipnet.se/~w-92416/plugins/%{moreplugc}.tar.bz2
Source3: http://wmdiscotux.stc.cx/%{moreplugnoautoconfa}.tar.bz2
Source4: http://julien.carme.free.fr/%{moreplugd}.tar.bz2
Source5: http://staff.xmms.org/zinx/xmms/%{morepluge}.tar.bz2
Source6: http://arquier.free.fr/%{moreplugf}.tar.bz2
Source7: http://www.mnsi.net/~bgjenero/gforce/%{moreplugg}.tar.bz2
Patch0: wmdiscotux-1.3.patch.bz2
Patch1: xmms_speakers-2.01.patch.bz2
Patch2: infinite-remove-need-of-xmms-config.patch.bz2
Patch3: xmms-more-vis-plugins-fix-compile-gcc-2.96.patch.bz2
Patch4: gforce-fix-compile.patch.bz2
Patch5: infinite-fix-gtk-cflags.patch.bz2
Patch6: gforce-1.1.6xp3.dga.patch.bz2
Patch7: jess-2.0.0-remove-mouducul.patch.bz2
License: GPL
Group: Sound
URL: http://www.xmms.org/
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: xmms >= 1.0.0
# (gc) yes the binary of xmms is tested for existence in the configure script
BuildRequires: libxmms-devel xmms libSDL1.1-devel

%description
More visualization plugins, from the best ones found on the home page of xmms
(http://www.xmms.org).

This package provides the following plugins:
- jakdaw's plugin (blur oscilloscope),
- infinity (interactive blur light effects),
- synaesthesia (blur spots),
- wmdiscotux (tux moving on the music),
- bump scope (bump version of the blur scope),
- G-Force (similar to Winamp Geiss),
- jess plugin (blur and deformation oscilloscope).

%package unsafe
Summary: XMMS - More visualization plugins (unsafe ones, often segfault...)
Group: Sound

%description unsafe
More visualization plugins. These ones are a bit dangerous and often cause XMMS to
segfault. Use at your own risk.

It provides the following plugins:
- xmms speakers.

%prep
%setup -q -a 1 -a 2 -a 3 -a 4 -a 5 -a 6 -a 7 -n %{morepluga}
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
mv gforce-1.1.6xp3/Common/General\ Tools gforce-1.1.6xp3/Common/GeneralTools
%patch4 -p0
mv gforce-1.1.6xp3/Common/GeneralTools gforce-1.1.6xp3/Common/General\ Tools
%patch5 -p0
%patch6 -p0
%patch7 -p0
# remove nasty no-newline-at-end-of-line, it bothers gcc-2.96
find . -name "*.h"   -exec perl -pi -e '$_.="\n" if eof' {} \;

%build
%configure
make
 
cd %{moreplugb}
%configure
make
cd ..
 
cd %{moreplugc}
automake
%configure --libdir=/%{_libdir}/xmms/Visualization
make
cd ..
 
cd %{moreplugnoautoconfa}
make
cd ..

cd %{moreplugd}
rm -f config.cache
automake
%configure
make
cd ..

cd %{morepluge}
%configure
make
cd ..

cd %{moreplugf}
make
cd ..

cd %{moreplugg}
%configure
make
cd ..

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/xmms/Visualization
mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}

%makeinstall libdir=$RPM_BUILD_ROOT/%{_libdir}/xmms/Visualization

for i in %{moreplugb} %{moreplugc} %{morepluge} %{moreplugg}
do
    cd $i
	%makeinstall libdir=$RPM_BUILD_ROOT/%{_libdir}/xmms/Visualization
    cd ..
done

cd %{moreplugd}
%makeinstall libdir=$RPM_BUILD_ROOT/%{_libdir}/xmms/Visualization datadir=$RPM_BUILD_ROOT/%{_datadir}/xmms
cd ..

install -m755 %{moreplugnoautoconfa}/libwmdiscotux.so $RPM_BUILD_ROOT/%{_libdir}/xmms/Visualization

install -m755 %{moreplugf}/.libs/* $RPM_BUILD_ROOT%{_libdir}/xmms/Visualization

install -m644 COPYING $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}
install -m644 README $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/README.%{morepluga}
install -m644 %{moreplugb}/README $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/README.%{moreplugb}
install -m644 %{moreplugc}/README $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/unsafe.README.%{moreplugc}
install -m644 %{moreplugnoautoconfa}/README $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/README.%{moreplugnoautoconfa}
install -m644 %{moreplugd}/README $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/README.%{moreplugd}
install -m644 %{morepluge}/README $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/README.%{morepluge}
install -m644 %{moreplugf}/README $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/README.%{moreplugf}
install -m644 %{moreplugg}/README $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/README.%{moreplugg}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_docdir}/%{name}-%{version}/README.*
%{_libdir}/xmms/Visualization/libjakdaw*
%{_libdir}/xmms/Visualization/libsynaesthesia*
%{_libdir}/xmms/Visualization/libwmdiscotux*
%{_libdir}/xmms/Visualization/libinfinite*.??
%{_datadir}/xmms/infinite_states
%{_libdir}/xmms/Visualization/libbumpscope*
%{_libdir}/xmms/Visualization/libgforce*.??
%{_datadir}/gforce
%{_libdir}/xmms/Visualization/libjess*.??

%files unsafe
%defattr(-,root,root)
%{_docdir}/%{name}-%{version}/unsafe.README.*
%{_libdir}/xmms/Visualization/libxmms_speakers*

%changelog
* Tue Mar 27 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.0-2mdk
- update JESS version to 2.0.0 (rulz + no segfaults)

* Mon Mar  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.0-1mdk
- add G-Force (with DGA patch)
- updates
  - jakdaw-0.0.4
  - speakers-2.01
  - wmdiscotux-1.3
- create "unsafe" subpackage, and put Jess plugin in it

* Thu Jan 11 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.0-4mdk
- BuildRequires: libSDL1.1-devel

* Sat Jan  6 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-3mdk
- disable Jess plugin which segfaults a lot

* Tue Nov 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-2mdk
- recompile with xmms following new lib policy

* Mon Nov  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-1mdk
- add Jess plugin thanks to Lenny, Gtz Waschk <waschk@linux-mandrake.com>,
  Armando Montiel <amontiel@mpsnet.net.mx>
- fix compile with gcc-2.96

* Fri Aug 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-4mdk
- added full path for all plugins to ease further upgrade/maintaining
`  of the package

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-3mdk
- automatically added packager tag

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-2mdk
- BM

* Tue Jun 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-1mdk
- update: infinity-0.2
- update: synaesthesia-0.0.2beta
- new!: bump_scope
- scriptization
- new versioning system for this package

* Sat Jun 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-9mdk
- uncessary to put libinfinite.a in package

* Fri Jun  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-8mdk
- added `infinite' plugin

* Tue May 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-7mdk
- Use configure macros.
- BuildRequires: xmms-devel

* Wed Apr  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-6mdk
- first release as a separate SRPM
- added documentation from each plugin
